=== debian/changelog ===
spglib (2.1.0-1) unstable; urgency=medium

  * Upload to unstable.

 -- Andrius Merkys <merkys@debian.org>  Sun, 12 Nov 2023 02:46:59 -0500

spglib (2.1.0-1~exp) experimental; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster (oldstable)

  [ Andrius Merkys ]
  * New upstream version 2.1.0
  * Install CMake definitions.
  * Accommodate soversion changes.
  * Skip Python tests as they are unable to locate importable package.
  * Add autopkgtest for ruby-getspg binary package.
  * Simplify debian/rules.

 -- Andrius Merkys <merkys@debian.org>  Tue, 31 Oct 2023 03:12:07 -0400
