=== debian/changelog ===
spglib (2.2.0-2) unstable; urgency=medium

  * Drop dependency on python3-all-dev as only the default Python version
    is supported (Closes: #1057858)

 -- Andrius Merkys <merkys@debian.org>  Tue, 12 Dec 2023 02:38:23 -0500

spglib (2.2.0-1) unstable; urgency=medium

  * New upstream version 2.2.0
  * Adjust upstream changelog location.

 -- Andrius Merkys <merkys@debian.org>  Fri, 08 Dec 2023 10:14:46 -0500
