=== debian/rules ===
--- 
+++ 
@@ -24,7 +24,7 @@
 	cut -d - -f 1 debian/libsymspg2/DEBIAN/symbols | sponge debian/libsymspg2/DEBIAN/symbols
 
 override_dh_installchangelogs:
-	dh_installchangelogs ChangeLog
+	dh_installchangelogs ChangeLog.md
 
 execute_after_dh_auto_clean:
 	rm -rf .pytest_cache/ test/functional/python/__pycache__/
