=== debian/tests/control ===
Test-Command: cd test/functional/python && pytest-3
Depends:
 python3-pytest,
 python3-yaml (>= 5),
 @,

Test-Command: RUBYLIB=ruby ruby ruby/symPoscar.rb test/functional/python/data/hexagonal/POSCAR-168 | fgrep --silent 'P6 (168) / 6 / P 6 (462) /'
Depends:
 ruby-getspg,
