## spglib 2.3.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -6,12 +6,20 @@
 endif ()
 
 #[==============================================================================================[
-#                                    Basic project defintion                                    #
-]==============================================================================================]
-
+#                                    Basic project definition                                   #
+]==============================================================================================]
+
+include(cmake/DynamicVersion.cmake)
+# Get dynamic version and save it to PROJECT_VERSION
+dynamic_version(
+		PROJECT_PREFIX Spglib_
+		FALLBACK_VERSION 0.0.0
+)
 project(Spglib
-		VERSION 2.2.0
+		VERSION ${PROJECT_VERSION}
 		LANGUAGES C)
+set(Spglib_VERSION_FULL ${PROJECT_VERSION_FULL})
+set(Spglib_COMMIT ${GIT_COMMIT})
 
 # Back-porting to PROJECT_IS_TOP_LEVEL to older cmake
 # TODO: Remove when requiring cmake >= 3.21
@@ -114,6 +122,7 @@
 
 # Report configuration
 message(STATUS "Spglib:: Build type: ${CMAKE_BUILD_TYPE}")
+message(STATUS "Spglib:: Version ${PROJECT_VERSION_FULL}")
 
 #[==============================================================================================[
 #                                       External packages                                       #
@@ -216,6 +225,8 @@
 		set(Spglib_VERSION_MINOR ${Spglib_VERSION_MINOR} PARENT_SCOPE)
 		set(Spglib_VERSION_PATCH ${Spglib_VERSION_PATCH} PARENT_SCOPE)
 		set(Spglib_VERSION_TWEAK ${Spglib_VERSION_TWEAK} PARENT_SCOPE)
+		set(Spglib_VERSION_FULL ${Spglib_VERSION_FULL} PARENT_SCOPE)
+		set(Spglib_COMMIT ${Spglib_COMMIT} PARENT_SCOPE)
 		set(Spglib_Fortran ${Spglib_Fortran} PARENT_SCOPE)
 		set(Spglib_Python ${Spglib_Python} PARENT_SCOPE)
 		set(Spglib_OMP ${Spglib_OMP} PARENT_SCOPE)
@@ -227,6 +238,8 @@
 				Spglib_VERSION_MINOR
 				Spglib_VERSION_PATCH
 				Spglib_VERSION_TWEAK
+				Spglib_VERSION_FULL
+				Spglib_COMMIT
 				Spglib_Fortran
 				Spglib_Python
 				Spglib_OMP
