=== debian/changelog ===
spglib (2.3.1-1ubuntu2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 08:24:26 +0000

spglib (2.3.1-1ubuntu1) noble; urgency=medium

  * d/p/fix-ruby3.2.patch: fix autopkgtest in ppc64el and s390x.

 -- Lucas Kanashiro <kanashiro@ubuntu.com>  Wed, 28 Feb 2024 18:25:59 -0300

spglib (2.3.1-1) unstable; urgency=medium

  * New upstream version 2.3.1

 -- Andrius Merkys <merkys@debian.org>  Tue, 20 Feb 2024 09:27:09 -0500

spglib (2.2.0-3) unstable; urgency=medium

  * Build python3-spglib with pybuild for all supported Python versions
    (Closes: #1061263)
  * Use 'Testsuite: autopkgtest-pkg-pybuild' for Python package.
  * Bump copyright years.

 -- Andrius Merkys <merkys@debian.org>  Tue, 06 Feb 2024 09:11:55 -0500
