=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: spglib
-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders:
  Andrius Merkys <merkys@debian.org>,
 Section: science
@@ -12,10 +13,16 @@
  gfortran,
  libgtest-dev,
  moreutils,
- python3-dev,
+ pybuild-plugin-pyproject,
+ python3-all-dev,
+ python3-build,
  python3-numpy,
+ python3-pathspec,
+ python3-pyproject-metadata,
  python3-pytest <!nocheck>,
+ python3-scikit-build-core,
  python3-setuptools,
+ python3-setuptools-scm,
  python3-yaml (>= 5),
 Standards-Version: 4.2.1
 Vcs-Browser: https://salsa.debian.org/science-team/spglib
@@ -23,6 +30,7 @@
 Homepage: https://spglib.github.io/spglib/
 XS-Ruby-Versions: all
 Rules-Requires-Root: no
+Testsuite: autopkgtest-pkg-pybuild
 
 Package: libspglib-f08-2
 Architecture: any
